package com.github.microservice.auth.server.core.dao;

import com.github.microservice.auth.server.core.domain.UserFace;
import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;

import java.util.List;

public interface UserFaceDao extends MongoDao<UserFace> {

    boolean existsByUserIdAndFaceFSId(String userId, String facesId);

    UserFace findTopByUserIdAndFaceFSId(String userId, String facesId);

    List<UserFace> findByUserId(String userId);

    UserFace findTopByFaceFSId(String facesId);
}
